void moveDensity(short x, short y, short z)
{
	int		orig_voxel,
			posX_voxel=0,
			negX_voxel=0,
			posY_voxel=0,
			negY_voxel=0,
			posZ_voxel=0,
			negZ_voxel=0,
			average_density;

	orig_voxel = (x +(globalVolume->sizeX*y) +(globalVolume->sizeX*globalVolume->sizeY*z));


	if (x < globalVolume->sizeX)
	{
		posX_voxel = orig_voxel + 1;

		if(globalVolume->data[orig_voxel].density - globalVolume->data[posX_voxel].density > 0)
			moveParticles(x+1, y, z);
	}

	if (x > 0)
	{
		negX_voxel = orig_voxel - 1;

		if(globalVolume->data[orig_voxel].density - globalVolume->data[negX_voxel].density > 0)
			moveParticles(x-1, y, z);
	}

	if (y < globalVolume->sizeY)
	{
		posY_voxel = orig_voxel + globalVolume->sizeX;

		if(globalVolume->data[orig_voxel].density - globalVolume->data[posY_voxel].density > 0)
			moveParticles(x, y+1, z);
	}

	if (y > 0)
	{
		negY_voxel = orig_voxel - globalVolume->sizeX;

		if(globalVolume->data[orig_voxel].density - globalVolume->data[negY_voxel].density > 0)
			moveParticles(x, y-1, z);
	}

	if (z < globalVolume->sizeZ)
	{
		posZ_voxel = orig_voxel + (globalVolume->sizeX * globalVolume->sizeY);

		if(globalVolume->data[orig_voxel].density - globalVolume->data[posZ_voxel].density > 0)
			moveParticles(x, y, z+1);
	}

	if (z > 0)
	{
		negZ_voxel = orig_voxel - (globalVolume->sizeX * globalVolume->sizeY);

		if(globalVolume->data[orig_voxel].density - globalVolume->data[negZ_voxel].density > 0)
			moveParticles(x, y, z-1);
	}

	average_density =	( globalVolume->data[orig_voxel].density
						+ globalVolume->data[posX_voxel].density
						+ globalVolume->data[negX_voxel].density
						+ globalVolume->data[posY_voxel].density
						+ globalVolume->data[negY_voxel].density
						+ globalVolume->data[posZ_voxel].density
						+ globalVolume->data[negZ_voxel].density)/7;

	globalVolume->data[orig_voxel].density = average_density;
	globalVolume->data[posX_voxel].density = average_density;
	globalVolume->data[negX_voxel].density = average_density;
	globalVolume->data[posY_voxel].density = average_density;
	globalVolume->data[negY_voxel].density = average_density;
	globalVolume->data[posZ_voxel].density = average_density;
	globalVolume->data[negZ_voxel].density = average_density;
}