void moveDensity(short x, short y, short z)
{
	float	spread_rate, direction, distance,
			new_vector_x, new_vector_y, new_vector_z,
			new_vector_x_point, new_vector_y_point, new_vector_z_point,
			dest_vector_x, dest_vector_y, dest_vector_z, dest_density,
			dest_000, dest_001, dest_010, dest_011, dest_100, dest_101, dest_110, dest_111;

	int		source_voxel, new_voxel, i, samples, density_per_sample = 1,
			new_x, new_y, new_z;

	char	bias_x, bias_y, bias_z;

	source_voxel = (x +(globalVolume->sizeX*y) +(globalVolume->sizeX*globalVolume->sizeY*z));
	spread_rate = globalVolume->data[source_voxel].density / 8;
	samples = (int)globalVolume->data[source_voxel].density / density_per_sample;

	for(i=0; i<samples; i++)
	{
		distance = (rand()/(RAND_MAX+1.0));

		direction = 2.0*rand() / (RAND_MAX+1.0) - 1;

		new_vector_x = //distance *
		((float)globalVolume->data[source_voxel].density * direction / spread_rate);

		direction = 2.0*rand() / (RAND_MAX+1.0) - 1;

		new_vector_y = //distance *
		((float)globalVolume->data[source_voxel].density * direction / spread_rate);

		direction = 2.0*rand() / (RAND_MAX+1.0) - 1;

		new_vector_z = //distance *
		((float)globalVolume->data[source_voxel].density * direction / spread_rate);

		new_x = x + (int)new_vector_x;
		new_y = y + (int)new_vector_y;
		new_z = z + (int)new_vector_z;

		if(new_x-1 > 0 && new_x+1 < globalVolume->sizeX
		&& new_y-1 > 0 && new_y+1 < globalVolume->sizeY
		&& new_z-1 > 0 && new_z+1 < globalVolume->sizeZ)
		{
			if (new_vector_x > 0)
				bias_x = 1;
			else
				bias_x = -1;

			if (new_vector_y > 0)
				bias_y = 1;
			else
				bias_y = -1;

			if (new_vector_z > 0)
				bias_z = 1;
			else
				bias_z = -1;

			new_vector_x_point = new_vector_x - (int)new_vector_x;
			new_vector_y_point = new_vector_y - (int)new_vector_y;
			new_vector_z_point = new_vector_z - (int)new_vector_z;

			dest_000 = (1-new_vector_x_point) * (1-new_vector_y_point) * (1-new_vector_z_point);
			dest_001 = (1-new_vector_x_point) * (1-new_vector_y_point) * (  new_vector_z_point);
			dest_010 = (1-new_vector_x_point) * (  new_vector_y_point) * (1-new_vector_z_point);
			dest_011 = (1-new_vector_x_point) * (  new_vector_y_point) * (  new_vector_z_point);
			dest_100 = (  new_vector_x_point) * (1-new_vector_y_point) * (1-new_vector_z_point);
			dest_101 = (  new_vector_x_point) * (1-new_vector_y_point) * (  new_vector_z_point);
			dest_110 = (  new_vector_x_point) * (  new_vector_y_point) * (1-new_vector_z_point);
			dest_111 = (  new_vector_x_point) * (  new_vector_y_point) * (  new_vector_z_point);

			new_voxel = (new_x +(globalVolume->sizeX*new_y) +(globalVolume->sizeX*globalVolume->sizeY*new_z));

			dest_vector_x = new_vector_x * dest_000;
			dest_vector_y = new_vector_y * dest_000;
			dest_vector_z = new_vector_z * dest_000;
			dest_density = density_per_sample * dest_000;

			if ((int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x < 128
			&&	(int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x > -129)
				globalVolume->data[new_voxel].vector_x_buffer += (int)dest_vector_x;

			if ((int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y < 128
			&&	(int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y > -129)
				globalVolume->data[new_voxel].vector_y_buffer += (int)dest_vector_y;

			if ((int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z < 128
			&&	(int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z > -129)
				globalVolume->data[new_voxel].vector_z_buffer += (int)dest_vector_z;

			if ((int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density < 256
			&&  (int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density > 0)
				globalVolume->data[new_voxel].density_buffer += (int)dest_density;

			new_voxel = (new_x +(globalVolume->sizeX*new_y) +(globalVolume->sizeX*globalVolume->sizeY*(new_z+bias_z)));

			dest_vector_x = new_vector_x + dest_001;
			dest_vector_y = new_vector_y + dest_001;
			dest_vector_z = new_vector_z + dest_001;
			dest_density = density_per_sample + dest_001;

			if ((int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x < 128
			&&	(int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x > -129)
				globalVolume->data[new_voxel].vector_x_buffer += (int)dest_vector_x;

			if ((int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y < 128
			&&	(int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y > -129)
				globalVolume->data[new_voxel].vector_y_buffer += (int)dest_vector_y;

			if ((int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z < 128
			&&	(int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z > -129)
				globalVolume->data[new_voxel].vector_z_buffer += (int)dest_vector_z;

			if ((int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density < 256
			&&  (int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density > 0)
				globalVolume->data[new_voxel].density_buffer += (int)dest_density;

			new_voxel = (new_x +(globalVolume->sizeX*(new_y+bias_y)) +(globalVolume->sizeX*globalVolume->sizeY*new_z));

			dest_vector_x = new_vector_x + dest_010;
			dest_vector_y = new_vector_y + dest_010;
			dest_vector_z = new_vector_z + dest_010;
			dest_density = density_per_sample + dest_010;

			if ((int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x < 128
			&&	(int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x > -129)
				globalVolume->data[new_voxel].vector_x_buffer += (int)dest_vector_x;

			if ((int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y < 128
			&&	(int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y > -129)
				globalVolume->data[new_voxel].vector_y_buffer += (int)dest_vector_y;

			if ((int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z < 128
			&&	(int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z > -129)
				globalVolume->data[new_voxel].vector_z_buffer += (int)dest_vector_z;

			if ((int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density < 256
			&&  (int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density > 0)
				globalVolume->data[new_voxel].density_buffer += (int)dest_density;

			new_voxel = (new_x +(globalVolume->sizeX*(new_y+bias_y)) +(globalVolume->sizeX*globalVolume->sizeY*(new_z+bias_z)));

			dest_vector_x = new_vector_x + dest_010;
			dest_vector_y = new_vector_y + dest_010;
			dest_vector_z = new_vector_z + dest_010;
			dest_density = density_per_sample + dest_010;

			if ((int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x < 128
			&&	(int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x > -129)
				globalVolume->data[new_voxel].vector_x_buffer += (int)dest_vector_x;

			if ((int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y < 128
			&&	(int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y > -129)
				globalVolume->data[new_voxel].vector_y_buffer += (int)dest_vector_y;

			if ((int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z < 128
			&&	(int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z > -129)
				globalVolume->data[new_voxel].vector_z_buffer += (int)dest_vector_z;

			if ((int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density < 256
			&&  (int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density > 0)
				globalVolume->data[new_voxel].density_buffer += (int)dest_density;

			new_voxel = ((new_x+bias_x) +(globalVolume->sizeX*new_y) +(globalVolume->sizeX*globalVolume->sizeY*new_z));

			dest_vector_x = new_vector_x + dest_100;
			dest_vector_y = new_vector_y + dest_100;
			dest_vector_z = new_vector_z + dest_100;
			dest_density = density_per_sample + dest_100;

			if ((int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x < 128
			&&	(int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x > -129)
				globalVolume->data[new_voxel].vector_x_buffer += (int)dest_vector_x;

			if ((int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y < 128
			&&	(int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y > -129)
				globalVolume->data[new_voxel].vector_y_buffer += (int)dest_vector_y;

			if ((int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z < 128
			&&	(int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z > -129)
				globalVolume->data[new_voxel].vector_z_buffer += (int)dest_vector_z;

			if ((int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density < 256
			&&  (int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density > 0)
				globalVolume->data[new_voxel].density_buffer += (int)dest_density;

			new_voxel = ((new_x+bias_x) +(globalVolume->sizeX*new_y) +(globalVolume->sizeX*globalVolume->sizeY*(new_z+bias_z)));

			dest_vector_x = new_vector_x + dest_101;
			dest_vector_y = new_vector_y + dest_101;
			dest_vector_z = new_vector_z + dest_101;
			dest_density = density_per_sample + dest_101;

			if ((int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x < 128
			&&	(int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x > -129)
				globalVolume->data[new_voxel].vector_x_buffer += (int)dest_vector_x;

			if ((int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y < 128
			&&	(int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y > -129)
				globalVolume->data[new_voxel].vector_y_buffer += (int)dest_vector_y;

			if ((int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z < 128
			&&	(int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z > -129)
				globalVolume->data[new_voxel].vector_z_buffer += (int)dest_vector_z;

			if ((int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density < 256
			&&  (int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density > 0)
				globalVolume->data[new_voxel].density_buffer += (int)dest_density;

			new_voxel = ((new_x+bias_x) +(globalVolume->sizeX*(new_y+bias_y)) +(globalVolume->sizeX*globalVolume->sizeY*new_z));

			dest_vector_x = new_vector_x + dest_110;
			dest_vector_y = new_vector_y + dest_110;
			dest_vector_z = new_vector_z + dest_110;
			dest_density = density_per_sample + dest_110;

			if ((int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x < 128
			&&	(int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x > -129)
				globalVolume->data[new_voxel].vector_x_buffer += (int)dest_vector_x;

			if ((int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y < 128
			&&	(int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y > -129)
				globalVolume->data[new_voxel].vector_y_buffer += (int)dest_vector_y;

			if ((int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z < 128
			&&	(int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z > -129)
				globalVolume->data[new_voxel].vector_z_buffer += (int)dest_vector_z;

			if ((int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density < 256
			&&  (int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density > 0)
				globalVolume->data[new_voxel].density_buffer += (int)dest_density;

			new_voxel = ((new_x+bias_x) +(globalVolume->sizeX*(new_y+bias_y)) +(globalVolume->sizeX*globalVolume->sizeY*(new_z+bias_z)));

			dest_vector_x = new_vector_x + dest_111;
			dest_vector_y = new_vector_y + dest_111;
			dest_vector_z = new_vector_z + dest_111;
			dest_density = density_per_sample + dest_111;

			if ((int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x < 128
			&&	(int)globalVolume->data[new_voxel].vector_x_buffer +  (int)dest_vector_x > -129)
				globalVolume->data[new_voxel].vector_x_buffer += (int)dest_vector_x;

			if ((int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y < 128
			&&	(int)globalVolume->data[new_voxel].vector_y_buffer +  (int)dest_vector_y > -129)
				globalVolume->data[new_voxel].vector_y_buffer += (int)dest_vector_y;

			if ((int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z < 128
			&&	(int)globalVolume->data[new_voxel].vector_z_buffer +  (int)dest_vector_z > -129)
				globalVolume->data[new_voxel].vector_z_buffer += (int)dest_vector_z;

			if ((int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density < 256
			&&  (int)globalVolume->data[new_voxel].density_buffer +  (int)dest_density > 0)
				globalVolume->data[new_voxel].density_buffer += (int)dest_density;
		}
	}
}