#define PI 3.147
#define	MAX_EMITTERS	1		// Number Of Particles To Create

typedef struct	_emitter	// Create A Structure For A Particle Emitter
{
	unsigned char	density;	// number of new particles created per cycle
	unsigned char	heat;		// x co-ordinate of emitter
			 char	vector_x;	// x co-ordinate of emitter
			 char	vector_y;	// y co-ordinate of emitter
			 char	vector_z;	// z co-ordinate of emitter

	unsigned char	fade;		// rate at which respawn rate decreases

	unsigned char	x;			// x co-ordinate of emitter
	unsigned char	y;			// y co-ordinate of emitter
	unsigned char	z;			// z co-ordinate of emitter

	unsigned char	r;			// red value
	unsigned char	g;			// green value
	unsigned char	b;			// blue value
}emitter;

float	posX, posY, posZ,				//these store the cameras location
		resistance_factor	= 0.8,
		cool_factor			= 1,
		spread_factor		= 0.04,
		mass				= 1.5,
		fuel				= 0.7,
		heat_alpha			= 1,
		density_alpha		= 3;


int		oldAngX, oldAngY,				//these store the cameras direction
		angX, angY,						//these store the previous values from the mouses position
		sample_density = 1;

char	display_heat		= 1,
		display_density		= 1,
		display_vectors		= 0,
		current_variable	= 0,
		current_mouse_mode	= 0;

int		keyHit[256];		//this array tells us what keys are currently being pressed

emitter emitters[MAX_EMITTERS];

void movement();

void moveDensity(short, short, short);
